version: '3'

services:
  huaxin-base-frontend:
    # 从当前路径构建镜像
    build:
      context: .
      dockerfile: Dockerfile
      target: production
    container_name: huaxin-base-frontend
    ports:
      - '3001:3001'
    env_file:
      - .env
      - .env.production
    networks:
      - huaxin_front_net
networks:
  huaxin_front_net:
    name: huaxin_admin_net
    external: true
